# ScoDoc7 service 
#  Zope based
#  Depends on {{postgresql}} (replaced by installation script by 
#    postgresql@11-main.service on Debian 10
#    postgresql on Debian <= 9
#  => is restarted when {{postgresql}} restarts
#
[Unit]
Description=ScoDoc 7 service
After=network.target {{postgresql}}
Requires={{postgresql}}
PartOf={{postgresql}}
StartLimitIntervalSec=0

[Service]
Type=forking
PIDFile=/opt/scodoc/var/Z2.pid
Restart=always
RestartSec=1
User=root
ExecStart=/opt/scodoc/bin/zopectl start
ExecStop=/opt/scodoc/bin/zopectl stop
ExecReload=/opt/scodoc/bin/zopectl restart

[Install]
WantedBy={{postgresql}}
